TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get DNS records

GET
/api/v3/dns/records

Query DNS records matching the specified filters. Supports .ton and .t.me records.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

wallet?string

Wallet address in any form. Returns DNS records in the wallet category that contain this address.

domain?string

Domain name to search for. Returns DNS records with this exact domain name.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/dns/records"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "records": [
    {
      "dns_next_resolver": "string",
      "dns_site_adnl": "string",
      "dns_storage_bag_id": "string",
      "dns_wallet": "string",
      "domain": "string",
      "nft_item_address": "string",
      "nft_item_owner": "string"
    }
  ]
}
{
  "code": 0,
  "error": "string"
}